Bug 168206 - CAN-2005-2876 umount unsafe -r usage
CAN-2005-2876 umount unsafe -r usage
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
impact=moderate,public=20050913,sourc...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-13 11:20 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-782
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 11:48:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-09-13 11:20:17 EDT
This issue was reported to bugtraq here:
http://marc.theaimsgroup.com/?l=bugtraq&m=112656096125857&w=2

The issue is that if a non root user is able to run umount -r, it is possible to
subvert the restrictions placed on a filesystem such as nosuid.
Comment 3 Red Hat Bugzilla 2005-10-11 11:48:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-782.html

Note You need to log in before you can comment on or make changes to this bug.